| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
CaptureFile Class Reference
Inheritance diagram for CaptureFile:

## Public Slots
void | retapPackets ()
void | delayedRetapPackets ()
void | stopLoading ()
void | setCaptureStopFlag (bool stop_flag=true)

## Signals
void | captureEvent (CaptureEvent)

## Public Member Functions
| CaptureFile (QObject *parent=0, capture_file *cap_file=NULL)
capture_file * | capFile () const
void | setCapFile (capture_file *cap_file)
bool | isValid () const
const QString | filePath ()
const QString | fileName ()
const QString | fileBaseName ()
const QString | fileDisplayName ()
const QString | fileTitle ()
struct _packet_info * | packetInfo ()
int | timestampPrecision ()
void | reload ()
QString | displayFilter () const
void * | window ()

## Static Public Member Functions
static capture_file * | globalCapFile ()

## Member Function Documentation

## ◆ delayedRetapPackets

void CaptureFile::delayedRetapPackets | ( |  | ) |
| slot

Retap the capture file after the current batch of application events is processed. If you call this instead of retapPackets or cf_retap_packets in a dialog's constructor it will be displayed before tapping starts.

## ◆ displayFilter()

QString CaptureFile::displayFilter | ( |  | ) | const

Return any set display filter

## ◆ fileBaseName()

const QString CaptureFile::fileBaseName | ( |  | ) |

Return the plain filename without an extension.

Returns
  The last component of the pathname, without the extension, converted from the native OS's encoding to Unicode if necessary, or a null string if the conversion can't be done.

## ◆ fileDisplayName()

const QString CaptureFile::fileDisplayName | ( |  | ) |

Return a string representing the file suitable for use for display in the UI in places such as a main window title.

Returns
  One of:

the devices on which the capture was done, if the file is a temporary file for a capture;

the last component of the capture file's name, converted from the native OS's encoding to Unicode if necessary (and with REPLACEMENT CHARACTER inserted if the string can't be converted).

a null string, if there is no capture file.

## ◆ fileName()

const QString CaptureFile::fileName | ( |  | ) |

Return the plain filename.

Returns
  The last component of the pathname, including the extension, converted from the native OS's encoding to Unicode if necessary, or a null string if the conversion can't be done.

## ◆ filePath()

const QString CaptureFile::filePath | ( |  | ) |

Return the full pathname.

Returns
  The entire pathname, converted from the native OS's encoding to Unicode if necessary, or a null string if the conversion can't be done.

## ◆ fileTitle()

const QString CaptureFile::fileTitle | ( |  | ) |

Return a string representing the file suitable for use in an auxiliary window title.

Returns
  One of:

the result of fileDisplayName(), if the file is open;

the result of fileDisplayName() followed by [closing], if the file is being closed;

the result of fileDisplayName() followed by [closed], if the file has been closed;

[no capture file], if there is no capture file.

## ◆ isValid()

bool CaptureFile::isValid | ( |  | ) | const

Check capture file validity

Returns
  true if the file is open, readable, and tappable. false if the file is closed.

## ◆ packetInfo()

struct _packet_info * CaptureFile::packetInfo | ( |  | ) |

Return the current packet information.

Returns
  A pointer to the current packet_info struct or NULL.

## ◆ reload()

void CaptureFile::reload | ( |  | ) |

Reload the capture file

## ◆ retapPackets

void CaptureFile::retapPackets | ( |  | ) |
| slot

Retap the capture file. Convenience wrapper for cf_retap_packets. Application events are processed periodically via update_progress_dlg.

## ◆ setCaptureStopFlag

void CaptureFile::setCaptureStopFlag | ( | bool | stop_flag = `true` | ) |
| slot

Sets the capture file's "stop_flag" member.

Parameters

  stop_flag | If true, stops the current capture file operation.

## ◆ stopLoading

void CaptureFile::stopLoading | ( |  | ) |
| slot

Cancel any tapping that might be in progress.

## ◆ timestampPrecision()

int CaptureFile::timestampPrecision | ( |  | ) |

Timestamp precision for the current file.

Returns
  One of the WTAP_TSPREC_x values defined in wiretap/wtap.h, or WTAP_TSPREC_UNKNOWN if no file is open.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/capture_file.h
- /builds/wireshark/wireshark/ui/qt/capture_file.cpp